Vulkan Memory Allocator: VmaDefragmentationInfo Struct Reference

Vulkan Memory Allocator

Loading...
Searching...
No Matches
Public Attributes | List of all members
VmaDefragmentationInfo Struct Reference
Memory allocation

Parameters for defragmentation. More...

`#include <vk_mem_alloc.h>`

## Public Attributes
VmaDefragmentationFlags | flags
| Use combination of VmaDefragmentationFlagBits.
VmaPool | pool
| Custom pool to be defragmented.
VkDeviceSize | maxBytesPerPass
| Maximum numbers of bytes that can be copied during single pass, while moving allocations to different places.
uint32_t | maxAllocationsPerPass
| Maximum number of allocations that can be moved during single pass to a different place.
PFN_vmaCheckDefragmentationBreakFunction | pfnBreakCallback
| Optional custom callback for stopping vmaBeginDefragmentation().
void * | pBreakCallbackUserData
| Optional data to pass to custom callback for stopping pass of defragmentation.

## Detailed Description

Parameters for defragmentation.

To be used with function vmaBeginDefragmentation().

## Member Data Documentation

## ◆ flags

VmaDefragmentationFlags VmaDefragmentationInfo::flags

Use combination of VmaDefragmentationFlagBits.

## ◆ maxAllocationsPerPass

uint32_t VmaDefragmentationInfo::maxAllocationsPerPass

Maximum number of allocations that can be moved during single pass to a different place.

`0` means no limit.

## ◆ maxBytesPerPass

VkDeviceSize VmaDefragmentationInfo::maxBytesPerPass

Maximum numbers of bytes that can be copied during single pass, while moving allocations to different places.

`0` means no limit.

## ◆ pBreakCallbackUserData

void* VmaDefragmentationInfo::pBreakCallbackUserData

Optional data to pass to custom callback for stopping pass of defragmentation.

## ◆ pfnBreakCallback

PFN_vmaCheckDefragmentationBreakFunction VmaDefragmentationInfo::pfnBreakCallback

Optional custom callback for stopping vmaBeginDefragmentation().

Have to return true for breaking current defragmentation pass.

## ◆ pool

VmaPool VmaDefragmentationInfo::pool

Custom pool to be defragmented.

If null then default pools will undergo defragmentation process.

The documentation for this struct was generated from the following file:

- D:/PROJECTS/Vulkan Memory Allocator/REPO/include/vk_mem_alloc.h